#include <SPI.h>
#include <TFT_eSPI.h> 

TFT_eSPI tft = TFT_eSPI(); 

void setup(void) 
{
  pinMode(12, INPUT_PULLUP);
  pinMode(13, INPUT_PULLUP);
  pinMode(15, INPUT_PULLUP);
  pinMode(17, INPUT_PULLUP);
  pinMode(21, INPUT_PULLUP);
  pinMode(22, INPUT_PULLUP);
  pinMode(27, INPUT_PULLUP);

  tft.init();
  tft.setRotation(1);
  tft.fillScreen(TFT_BLACK);
  //top left corner of display (0,0) and font 4
  tft.setCursor(0, 0, 4); 
  tft.setTextColor(TFT_YELLOW, TFT_BLACK);
  tft.println("\nLaunching\nJoystick and Button\nTest...");
  delay(3000);
}

void loop() 
{
  tft.fillScreen(TFT_BLACK);
  tft.setCursor(0, 0, 4); 
  tft.setTextColor(TFT_RED, TFT_BLACK);
  if (digitalRead(12)==LOW)
    tft.println("Joystick Left");
  if (digitalRead(15)==LOW)
    tft.println("Joystick Up");
  if (digitalRead(27)==LOW)
    tft.println("Joystick Down");
  if (digitalRead(17)==LOW)
    tft.println("Joystick Right");
  tft.setTextColor(TFT_BLUE, TFT_BLACK);
  tft.setCursor(150, 40, 4); 
  if (digitalRead(22)==LOW)
    tft.println("A");
  tft.setCursor(180, 40, 4); 
  if (digitalRead(21)==LOW)
    tft.println("B");
  tft.setCursor(0, 90, 4); 
  tft.setTextColor(TFT_GREEN, TFT_BLACK);
  if (digitalRead(13)==LOW)
    tft.println("Joystick Center"); 
  delay(200);  //debounce delay
}
